Bug 1361500 - [downstream clone] CPU Profile is not assigned when changing it on a running VM
Summary: [downstream clone] CPU Profile is not assigned when changing it on a running VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.8
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-3.6.9
: 3.6.9
Assignee: Roman Mohr
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On: 1343934
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 08:07 UTC by Roy Golan
Modified: 2016-09-21 18:05 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1343934
Environment:
Last Closed: 2016-09-21 18:05:36 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1929 normal SHIPPED_LIVE Moderate: Red Hat Virtualization Manager (RHV) bug fix 3.6.9 2016-09-21 21:57:10 UTC
oVirt gerrit 59493 ovirt-engine-3.6 MERGED qos: Fix CPU Profile live update 2016-08-08 08:59:12 UTC

Description Roy Golan 2016-07-29 08:07:53 UTC
+++ This bug was initially created as a clone of Bug #1343934 +++

Description of problem:
When changing the CPU profile on a running VM you get notified that the profile only takes effect after a VM restart. After klicking OK the VM gets the symbol assign which indicates that there is a configuration update which did not jet take effect.

When checking the VM config again you see that the CPU profile is still the old one. Also a VM restart keeps the old profile.

Doing the changes on a VM which is down work as expected.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create a second CPU profile
2. Create and start a VM
3. Edit the VM and set the new CPU profile
4. Restart the VM to make the new CPU profile effective
5. The VM still has the old CPU profile

Actual results:
There is way to edit the CPU profile on a running VM. The change just gets lost.
It is not live updated and it is not persisted for later VM starts.

Expected results:
The CPU profile should be live updated on the running VM and saved to the database.


Additional info:

--- Additional comment from Red Hat Bugzilla Rules Engine on 2016-06-09 03:32:38 EDT ---

Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

--- Additional comment from Yaniv Dary on 2016-07-21 08:58:14 EDT ---

Should this be modified?

--- Additional comment from Tomas Jelinek on 2016-07-29 03:42:00 EDT ---

I think this causes this regression: https://bugzilla.redhat.com/show_bug.cgi?id=1361366

Comment 2 Shira Maximov 2016-08-30 07:37:43 UTC
Verified on Red Hat Enterprise Virtualization Manager Version: 3.6.9-0.1.el6


1) Create two cluster profiles with CPU QoS 10 and 20
2) Attach CPU profile with QoS 10 to VM
3) Start VM
4) Change VM CPU profile with QoS 20
5) power off VM
6) Start vm -> check the the CPU profile of the VM is the new one

Comment 4 errata-xmlrpc 2016-09-21 18:05:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1929.html


Note You need to log in before you can comment on or make changes to this bug.